## Apache Zeta Components Manual :: Docs For Class ezcWebdavSourcePropertyLink

### Webdav::ezcWebdavSourcePropertyLink

### Class ezcWebdavSourcePropertyLink

An object of this class represents the Webdav property <source>.

Source for this file: /Webdav/src/properties/source_link.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavProperty
          |
          --ezcWebdavLiveProperty
             |
             --ezcWebdavSourcePropertyLink

Version: | //autogentag//

### Properties

string | read/write | `$dst` Destination of the link (URI).
string | read/write | `$src` Source of the link (URI).

### Inherited Member Variables

From ezcWebdavProperty
protected | `ezcWebdavProperty::$properties`
From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( [ $src = null] , [ $dst = null] )` Creates a new ezcWebdavSourceProperty.
public bool | `hasNoContent( )` Returns if property has no content.

### Inherited Methods

From ezcWebdavLiveProperty
public void | `ezcWebdavLiveProperty::__construct()` Creates a new live property.
From ezcWebdavProperty
public void | `ezcWebdavProperty::__construct()` Creates a new property object.
public void | `ezcWebdavProperty::clear()` Remove all contents from a property.
protected void | `ezcWebdavProperty::hasError()` Indicates that a property has a validation error.
public abstract bool | `ezcWebdavProperty::hasNoContent()` Check if property has no content.
public void | `ezcWebdavProperty::__clone()` Clones a property deeply.
From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( [string $src = null] , [string $dst = null] )

Creates a new ezcWebdavSourceProperty.

The $src parameter is the requested path, while the $dst parameter indicate the source URI.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$src` | string | Link source (URI).
`$dst` | string | Link destination (URI).

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavLiveProperty::__construct()` | Creates a new live property.

#### hasNoContent

bool hasNoContent( )

Returns if property has no content.

Returns true, if the property has no content stored.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavProperty::hasNoContent()` | Check if property has no content.

Documentation generated by phpDocumentor 1.4.3